Package opennlp.tools.langdetect

## Class LanguageDetectorCrossValidator

- java.lang.Object
- - opennlp.tools.langdetect.LanguageDetectorCrossValidator

-     public class LanguageDetectorCrossValidator
      extends Object

  Cross validator for `LanguageDetector`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LanguageDetectorCrossValidator​(TrainingParameters mlParams, LanguageDetectorFactory factory, LanguageDetectorEvaluationMonitor... listeners)` | Initializes a `LanguageDetectorCrossValidator` with the given `parameters`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `evaluate​(ObjectStream<LanguageSample> samples, int nFolds)` | Starts the evaluation.
    `double` | `getDocumentAccuracy()` |
    `long` | `getDocumentCount()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LanguageDetectorCrossValidator

          public LanguageDetectorCrossValidator​(TrainingParameters mlParams,
                                                LanguageDetectorFactory factory,
                                                LanguageDetectorEvaluationMonitor... listeners)

      Initializes a `LanguageDetectorCrossValidator` with the given `parameters`.
      Parameters:
        `mlParams` - The `TrainingParameters` for the context of cross validation.
        `factory` - The `LanguageDetectorFactory` for creating related objects.
        `listeners` - the `evaluation listeners`.

  - ### Method Detail

    - #### evaluate

          public void evaluate​(ObjectStream<LanguageSample> samples,
                               int nFolds)
                        throws IOException

      Starts the evaluation.
      Parameters:
        `samples` - The `ObjectStream` of `samples` to train and test with.
        `nFolds` - Number of folds. It must be greater than zero.
      Throws:
        `IOException` - Thrown if IO errors occurred.

    - #### getDocumentAccuracy

          public double getDocumentAccuracy()

      Returns:
        Retrieves the word accuracy for all iterations.

    - #### getDocumentCount

          public long getDocumentCount()

      Returns:
        Retrieves the number of words which where validated over all iterations. The result is the amount of folds multiplied by the total number of words.